<?php

use function DI\autowire, DI\create, DI\get;

use Negundo\Client\{ SoftwareConfig, Dump, Task, NegundoMiddleware };

return [
    SoftwareConfig::class => create(SoftwareConfig::class)->constructor(getenv('NEGUNDO_HASH'), getenv('NEGUNDO_SERVER')),
    # NegundoMiddleware::class => create(NegundoMiddleware::class)->constructor(get(SoftwareConfig::class)),
    Dump::class => create(Dump::class)->constructor(get(SoftwareConfig::class)),
    Task::class => create(Task::class)->constructor(get(SoftwareConfig::class)),
];
